Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class Joins.AbstractCollection<Z,C,E>

    java.lang.Object
      org.apache.openjpa.persistence.criteria.SelectionImpl<X>
          org.apache.openjpa.persistence.criteria.ExpressionImpl<X>
              org.apache.openjpa.persistence.criteria.PathImpl<Z,X>
                  org.apache.openjpa.persistence.criteria.FromImpl<Z,E>
                      org.apache.openjpa.persistence.criteria.Joins.AbstractCollection<Z,C,E>

All Implemented Interfaces:
  Expression<E>, FetchParent<Z,E>, From<Z,E>, Join<Z,E>, Path<E>, PluralJoin<Z,C,E>, Selection<E>, TupleElement<E>, CriteriaExpression

Direct Known Subclasses:
  Joins.Collection, Joins.List, Joins.Map, Joins.Set

Enclosing class:
  Joins

    abstract static class Joins.AbstractCollection<Z,C,E>

extends FromImpl<Z,E>
implements PluralJoin<Z,C,E>

Join a plural attribute.

Field Summary

Fields inherited from class org.apache.openjpa.persistence.criteria.PathImpl
`_member, _parent`

Constructor Summary
`Joins.AbstractCollection(FromImpl<?,Z> from, Members.PluralAttributeImpl<? super Z,C,E> member, JoinType jt)`

Method Summary
`StringBuilder` | `asVariable(AliasContext q)` Get a string representation of this node as a variable in the context of the given query.
`Attribute<? super Z,E>` | `getAttribute()`
`JoinType` | `getJoinType()`
`ClassMetaData` | `getMemberClassMetaData()`
`PluralAttribute<? super Z,C,E>` | `getModel()` Returns the bindable object that corresponds to the path expression.
`FromImpl<?,Z>` | `getParent()` Gets the parent of this join.
`Expression` | `toKernelExpression(ExpressionFactory factory, CriteriaQueryImpl<?> c)` Convert this path to a join expression.
`Value` | `toValue(ExpressionFactory factory, CriteriaQueryImpl<?> c)` Convert this path to a kernel path (value).

Methods inherited from class org.apache.openjpa.persistence.criteria.FromImpl
`acceptVisit, assertJoinable, fetch, fetch, fetch, fetch, fetch, fetch, getCorrelationParent, getFetches, getJoins, getType, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from class org.apache.openjpa.persistence.criteria.PathImpl
`asValue, get, get, get, get, getCorrelatedJoin, getCorrelatedPath, getCorrelatedRoot, getEmbeddedFieldMetaData, getInnermostMember, getInnermostParentPath, getMember, getParentPath, inSubquery, isCorrelated, setCorrelatedPath, traversePath, type`

Methods inherited from class org.apache.openjpa.persistence.criteria.ExpressionImpl
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.apache.openjpa.persistence.criteria.SelectionImpl
`alias, asProjection, assertValidName, getAlias, getCompoundSelectionItems, getJavaType, isAliased, isAutoAliased, isCompoundSelection, setAutoAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.From
`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Constructor Detail

### Joins.AbstractCollection

    public Joins.AbstractCollection(FromImpl<?,Z> from,
                                    Members.PluralAttributeImpl<? super Z,C,E> member,
                                    JoinType jt)

Method Detail

### getJoinType

    public final JoinType getJoinType()

  Specified by:
    `getJoinType` in interface `Join<Z,E>`

### getParent

    public final FromImpl<?,Z> getParent()

  Gets the parent of this join.

  Specified by:
    `getParent` in interface `Join<Z,E>`

### getAttribute

    public Attribute<? super Z,E> getAttribute()

  Specified by:
    `getAttribute` in interface `Join<Z,E>`

### getModel

    public PluralAttribute<? super Z,C,E> getModel()

  Description copied from class: `PathImpl`
  Returns the bindable object that corresponds to the path expression.

  Specified by:
    `getModel` in interface `Path<E>`
  Specified by:
    `getModel` in interface `PluralJoin<Z,C,E>`
  Overrides:
    `getModel` in class `PathImpl<Z,E>`

### getMemberClassMetaData

    public ClassMetaData getMemberClassMetaData()

### toValue

    public Value toValue(ExpressionFactory factory,
                         CriteriaQueryImpl<?> c)

  Convert this path to a kernel path (value).

  Overrides:
    `toValue` in class `PathImpl<Z,E>`
  Parameters:
    `factory` - creates the kernel expression
    `c` - the query definition context of this expression
  Returns:
    an equivalent kernel value

### toKernelExpression

    public Expression toKernelExpression(ExpressionFactory factory,
                                         CriteriaQueryImpl<?> c)

  Convert this path to a join expression.

  Overrides:
    `toKernelExpression` in class `ExpressionImpl<E>`
  Parameters:
    `factory` - creates the kernel expression
    `c` - the query definition context of this expression
  Returns:
    an equivalent kernel expression

### asVariable

    public StringBuilder asVariable(AliasContext q)

  Description copied from interface: `CriteriaExpression`
  Get a string representation of this node as a variable in the context of the given query.

  Specified by:
    `asVariable` in interface `CriteriaExpression`
  Overrides:
    `asVariable` in class `PathImpl<Z,E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.